apiVersion: apps/v1
kind: Deployment
metadata:
  name: vuejs-deployment
spec:
  replicas: 1
  selector:
    matchLabels:
      component: vuejs
  template:
    metadata:
      labels:
        component: vuejs
    spec:
      containers:
      - name: vuejs
        image: registry.gitlab.com/thomas.chatel/onmytrip/vuejs
        imagePullPolicy: Always
        ports:
        - containerPort: 80
        env:
        - name: VUE_APP_BACKEND_URL
          valueFrom:
            configMapKeyRef:
              name: vuejs-configmap
              key: backend-host